<?php
class AclModel {
	public $_Acl;
	public function __construct(){
		if (!defined('SUCCEED_VODCMS')){
			exit;
		}
		$this->_Acl = new Easy_Acl();
	}
	public function set($role){
		$resouse = new Easy_Acl_Role('guest');
		$this->_Acl->addRole($resouse);
		$this->_Acl->deny($resouse, 'admin', 'view,update,delete');
		$this->_Acl->addRole( new Easy_Acl_Role('admin'), array('guest', 'user'));
		$this->_Acl->allow($resouse, 'admin', 'view,update,delete');
		if ($this->_Acl->isAllow('admin', 'admin', 'view')){
			//echo 'd';
		}else{
			//echo 'deny';
		}
	}
}
?>